#ifndef OPTS_H
#define OPTS_H
#include <stdbool.h>

/* To describe the program options.
 */
typedef struct
{
   char* connect;
   bool is_attached;
   char* ntn_name;
   char* pidfile_name;
   char* run;
   char* sql;
   unsigned int timeout_sec;
   unsigned char verbosity;
} opts_t;

/* Global program options.
 */
extern opts_t opts;

/* Set the global program options with valid values or terminate the
 * program.
 */
void
init_opts_from_cmdline (int argc, char **argv);

#endif
